ros-kinetic-rocon-app-manager (0.9.1-0xenial) xenial; urgency=high

  * drop the master relay

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 15 Oct 2016 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.8.0-0xenial) xenial; urgency=high

  * provide args to the user so they can prepare for unique namespacing if necessary
  * move rapp launching into the root namespace and let the user decide where handles should go
  * advertise the rapp manager handles on the gateway by default for concert clients
  * simplified launchers into standalone and concert client
  * split standalone and concert classes rather than trying to mash them as one

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.13-0xenial) xenial; urgency=high

  * the cancel_flag should be False in start_app
  * attempts to flip public interface a couple of times. Then stopps rapp if it fails after all attempts. closes #297 <https://github.com/robotics-in-concert/rocon_app_platform/issues/297>
  * fix start_rapp stop rapp flipping #299 <https://github.com/robotics-in-concert/rocon_app_platform/issues/299>
  * cleans up flip connection logic in start/stop rapp closes #299 <https://github.com/robotics-in-concert/rocon_app_platform/issues/299>
  * print should not be here closes #298 <https://github.com/robotics-in-concert/rocon_app_platform/issues/298>
  * add gatewayname as launch arg only if it exists closes #295 <https://github.com/robotics-in-concert/rocon_app_platform/issues/295>
  * [rocon_app_manager] trivial
  * [rocon_app_manager] pass a ros compatible name to the rapp.
  * [rocon_app_manager] remove unnecessary, and old, comment.
  * [rocon_app_manager] bugfix the bugfix for status publishing
    Didn't look around properly - this corrects the last bugfix to make sure
    all variables are properly defined before publishing the status.
  * [rocon_app_manager] remove debug print.
  * [rocon_app_manager] base name handling should be same for uuids or not.
    Wasn't applying the correct conversion rules (lower, space->'_') for
    standalone mode so that the namespaced topics/services conform to ros
    conventions.
  * [rocon_app_manager] bugfix handling of nonexistant current rapp.
    Was mistakenly assuming that this is always available. This handles the
    case when it is None.
  * removing running rapps from listrapps
  * Contributors: AlexV, Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.12-0xenial) xenial; urgency=high

  * adding parameter to delay service creation (now only once) if gateway uuid is needed.
    changed standalone namespace to be robot_name (parameter) to match namespace with concert but without uuid
    added delay in spin
  * fix typo regarding constant definition in utils
  * [rocon_app_manager] status now publishes the runtime interfaces and parameters.
  * Contributors: AlexV, Daniel Stonier, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.11-0xenial) xenial; urgency=high

  * add webserver_address arg closes #285 <https://github.com/robotics-in-concert/rocon_app_platform/issues/285>
  * disable_zeroconf does not start zeroconf node #273 <https://github.com/robotics-in-concert/rocon_app_platform/issues/273>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.10-0xenial) xenial; urgency=high

  * [rocon_app_manager] remove install rule.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 03 May 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.9-0xenial) xenial; urgency=high

  * remove legacy paird.concert closes #282 <https://github.com/robotics-in-concert/rocon_app_platform/issues/282>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.8-0xenial) xenial; urgency=high

  * better warning for preferred rapp selection closes #274 <https://github.com/robotics-in-concert/rocon_app_platform/issues/274>
  * clean up launchers #279 <https://github.com/robotics-in-concert/rocon_app_platform/issues/279>
  * bugfix robot_naem arg location, fixes #276 <https://github.com/robotics-in-concert/rocon_app_platform/issues/276>.
  * set moo as default preferred chirp closes #275 <https://github.com/robotics-in-concert/rocon_app_platform/issues/275>
  * change warn to info closes #274 <https://github.com/robotics-in-concert/rocon_app_platform/issues/274>
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.7-0xenial) xenial; urgency=high

  * disable_zeroconf option availalble
  * bug fix in rapp installation process
  * Contributors: Jihoon Lee
  * bug fix in rapp installation process
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.6-0xenial) xenial; urgency=high

  * add log and typo fix
  * use auto_rapp_installation param to enable disable installer
  * disabl installer logic
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.5-0xenial) xenial; urgency=high

  * add rocon_interactions as run_depend closes #268 <https://github.com/robotics-in-concert/rocon_app_platform/issues/268>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.4-0xenial) xenial; urgency=high

  * ignore unncessay remapping rule #265 <https://github.com/robotics-in-concert/rocon_app_platform/issues/265>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.3-0xenial) xenial; urgency=high

  * Merge pull request #263 <https://github.com/robotics-in-concert/rocon_app_platform/issues/263> from robotics-in-concert/sim_param
    simulated robot support in app manager
  * rename sim to simulation
  * add sim param in standalone launcher
  * sim parameter passing
  * process sim param
  * add sim param
  * [rocon_app_manager] permit esoteric names once more.
  * [rocon_app_manager] bugfix stray hub whitelist param, lower casing base topic names, catching the right exception
  * bugfix stopping of rapps after virtual implementation upgrade.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.2-0xenial) xenial; urgency=high

  * instead of exception. deprecated warning
  * add error message for having old style
  * type information added
  * re align the args
  * align the args
  * add the rosbridge setting for using rosbridge on pairing mode
  * remove legacy app store url.
  * Refined the comment for the preferred defaults
    Also removed legacy app_store_url.
  * use preferred instead of selected and defaults
  * use yaml format for default app parsing
  * preferred or default rapp selection
  * rewrote get_available rapp logic
  * multiple chirp working
  * Fix import to include copy
  * Remove copy. Wrong branch :/
  * Fix import to include copy
  * merging work on public parameters for the rapps/rapp manager.
  * Move to use copy.deepcopy
  * Set rapp manager namespace handles to be private
  * Fix if else re-use
  * Correct testing defaults back to standard
  * public parameter works
  * parses parameters from file
  * 0.7.1
  * use proper lists for hubs/concerts now roslaunch can handle it.
  * fix defaults
  * Remove debug prints
  * Interactions for turtlebot on indigo update. Remove namespacing for standalone
  * rocon_app_manager: CMakeLists.txt(12): error: missing COMPONENTS keyword before 'roslint
  * Contributors: Daniel Stonier, DongWook Lee, Jihoon Lee, Kent Sommer, kentsommer

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.1-0xenial) xenial; urgency=high

  * use lists instead of semi-colon separated strings for hub/concert whitelists/blacklists now roslaunch can handle it.
  * don't try and direct connect to a local hub by default.
  * catch and handle a shutdown exception.
  * update publisher queue_size to avoid warning in indigo.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.7.0-0xenial) xenial; urgency=high

  * support for rapp indexing over a remote repository's cached tarball.
  * support for rapp indexing over the local ROS_PACKAGE_PATH.
  * complete capability support for rapps.
  * relieve rapp_manager of pairing responsibilities, now done via rocon_interactions <http://wiki.ros.org/rocon_interactions>.
  * revamped launcher file configuration for standalone, multimaster.
  * move from tuples to rocon_uri's for platform specifications.
  * support for rapp remappings.
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt, Piyush Khandelwal, Yujin

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.6.1-0xenial) xenial; urgency=high

  * report details of currently running app.
  * disable uuid arg shunting was not enabled for concert clients.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.6.0-0xenial) xenial; urgency=high

  * disable uuids by default, also fire up the paired invitations by default for convenience.
  * use a proper regular expression for the target.
  * zeroconf name should match app manager name.
  * bugfix remaps which shouldn't remap.
  * pass on screen parameter settings from rocon_launch.
  * missed an update for the new resource finding rapp lists.
  * protect services from initialising in parallel.
  * diagnostic flips for pairing mode.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.5.4-0xenial) xenial; urgency=high

  * public is now 11311
  * now private master is 11312
  * apply rosparm to set zeroconf parameter
  * add gateway and hub as dependeny

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.5.3-0xenial) xenial; urgency=high

  * install concert directory
  * adding install rule
  * installing pairing_master

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 21 Jul 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.5.2-0xenial) xenial; urgency=high

  * force faster initialisation of the gateway advertisements in standalone and public pairing.
  * push application namespace underneath the node name in standalone mode to match remote control mode styles - for android apps.
  * app manager icon parameters as resource names.
  * use resource names for rapp lists instead of full paths.
  * flag for disabling the cleanup watchdog and consolidating services locally.
  * pairing mode cleanup when android device is gone.
  * manual pairing invitations now working.
  * convenience pause to ensure small apps flip promptly.
  * no longer need app manager robot_xxx parameters.
  * bugfix missing shutdown of start and stop app services when remote control changes.
  * pairing clients infra.
  * bugfix the list apps service to respond with correct running apps signature.
  * make the default application namespace with a gateway underneath the gateway name, not root.
  * publish an icon with the platform information.
  * fix publishing of listed/running apps.
  * renamed paired launchers to be less confusing.
  * remove trivial debug print
  * about to move on start app
  * latched list apps publisher

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.5.1-0xenial) xenial; urgency=high

  * 0.5.0

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Jun 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.5.0-0xenial) xenial; urgency=high

  * Point to correct license file
  * Removed (now) incorrect comments
  * fix bad reference to non-exsistant parameter file.
  * fix bad reference to non-exsistant parameter file.
  * fix remappings to match roslaunch style
  * Merge pull request #41 <https://github.com/robotics-in-concert/rocon_app_platform/issues/41> from robotics-in-concert/fix_app_list_file_not_found
    Fix app list file not found
  * warnings and errors if app list file not found, fixes #40 <https://github.com/robotics-in-concert/rocon_app_platform/issues/40>.
  * app list to rapp list
  * app_lists args to rapp_lists
  * trivial cleanup of a comment.
  * auto invite false in paired master.
  * trivial comment.
  * eliminating duplicated code between paired and concert client launchers.
  * minor reorginisation of app manager launchers (more modular).
  * android can now finnd us via robot type and name parameters.
  * close down quietly if gateway shut down before the app manager.
  * flip with default application namespace
  * remove old services before updating with new.
  * don't do the hard work of advertisements.
  * pairing updates.
  * a few bugfixes
  * starting the pairing
  * starting to add components for pairing.
  * return values from error status was wrong
  * better errors messages for stop app.
  * fix stop app for naturally terminating apps.
  * create a useful pointer to the running rapp in the manager while it runs.
  * better errors messages for stop app.
  * fix stop app for naturally terminating apps.
  * create a useful pointer to the running rapp in the manager while it runs.
  * apps starts with human readable namespace
  * standalone app manager.
  * 0.4.0
  * gateway info now a msg.
  * minor pep8 stuff.
  * robot namespace back
  * robot namespacing fix
  * now it supports action_client and action_server public interface
  * remove screen flag in concert_client/gateway
  * logs out app compatibility.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 May 2013 15:00:00 -0000

ros-kinetic-rocon-app-manager (0.3.0-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 06:23:00 -0000

ros-kinetic-rocon-app-manager (0.2.0-0xenial) xenial; urgency=high

  * adding rocon_apps dependency
  * .app -> .rapp
  * correcting wiki url
  * no more concert client
  * taking the concert client out of the loop
  * concert status -> app manager status, part of first redesign.
  * has its own status now, labelled statusd till concert client swaps its own out.
  * remote_control -> invite, start on general app design
  * concert_msgs dependency removed
  * parameter cleanup
  * common create_rule code moved to rocon_utilities
  * much minor refactoring.
  * collapse advertisements.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 04:18:00 -0000

ros-kinetic-rocon-app-manager (0.1.1-0xenial) xenial; urgency=high

  * advertising list apps, also correcting advertising behaviour in the client.
  * remove unused logger.
  * stop flipping the platform info.
  * advertising the platform info service.
  * platform info to rocon_app_manager_msgs
  * revert loginfo Rapp->App Manager
  * launch apps under a unique namespace so caller_id's are guaranteed to be
    unique.
  * refactoring app->rapp.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000


